> ## Documentation Index
> Fetch the complete documentation index at: https://kaneo.app/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Comment

> Create a new comment on a task



## OpenAPI

````yaml https://cloud.kaneo.app/api/openapi post /activity/comment
openapi: 3.0.3
info:
  title: Kaneo API
  description: Kaneo Project Management API - Manage projects, tasks, labels, and more
  version: 1.0.0
servers:
  - url: https://cloud.kaneo.app/api
    description: Kaneo API Server
security:
  - bearerAuth: []
tags:
  - name: Organization Management
paths:
  /activity/comment:
    post:
      tags:
        - Activity
      summary: Create Comment
      description: Create a new comment on a task
      operationId: createComment
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                taskId:
                  type: string
                comment:
                  type: string
              required:
                - taskId
                - comment
      responses:
        '200':
          description: Comment created successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  taskId:
                    type: string
                  type:
                    enum:
                      - comment
                      - task
                      - status_changed
                      - priority_changed
                      - unassigned
                      - assignee_changed
                      - due_date_changed
                      - title_changed
                      - description_changed
                      - create
                    type: string
                  createdAt:
                    type: string
                    format: date-time
                  userId:
                    type: string
                    nullable: true
                  content:
                    type: string
                    nullable: true
                  eventData:
                    type: object
                    additionalProperties: true
                    nullable: true
                  externalUserName:
                    type: string
                    nullable: true
                  externalUserAvatar:
                    type: string
                    nullable: true
                  externalSource:
                    type: string
                    nullable: true
                  externalUrl:
                    type: string
                    nullable: true
                required:
                  - id
                  - taskId
                  - type
                  - createdAt
                  - userId
                  - content
                  - eventData
                  - externalUserName
                  - externalUserAvatar
                  - externalSource
                  - externalUrl
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Bearer token authentication

````